class Pair<F, S> {
    private _first: F;
    private _second: S;

    constructor(first: F, second: S) {
        this._first = first;
        this._second = second;
    }

    get first(): F {
        return this._first;
    }

    get second(): S {
        return this._second;
    }
}

let pair = new Pair<number, boolean>(10, true);
console.log(pair.first);
console.log(pair.second);
console.log(pair);

let pair2 = new Pair<string, number>("1K", 1000);
console.log(pair2.first);
console.log(pair2.second);
console.log(pair2);